// StatusDlg.cpp : implementation file
//
/*-Includes-----------------------------------------------------------------*/
#include "stdafx.h"
#include "resource.h"
#include "StatusDlg.h"

/*-Defines------------------------------------------------------------------*/
#ifdef _DEBUG
#define new DEBUG_NEW
#endif


/*-CStatusDlg Message Map---------------------------------------------------*/
BEGIN_MESSAGE_MAP(CStatusDlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/*-CStatusDlg Methods-------------------------------------------------------*/

CStatusDlg::CStatusDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CStatusDlg::IDD, pParent)
	
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}
/*--------------------------------------------------------------------------*/

void CStatusDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_IMPD, sImpMod);
	DDX_Control(pDX, IDC_IO, sIO);
	DDX_Control(pDX, IDC_REM1, sStrARem);
	DDX_Control(pDX, IDC_REM2, sStrBRem);
	DDX_Control(pDX, IDC_FRAME_TYPEA, sFrameTypeA);
	DDX_Control(pDX, IDC_FRAME_TYPEB, sFrameTypeB);
//	DDX_Control(pDX, IDC_FRAME_TYPE, sFrameTypeA);

	DDX_Control(pDX, IDC_LIGHTCTRL1, sStrATrig);
	DDX_Control(pDX, IDC_LIGHTCTRL2, sStrAReset);	
	DDX_Control(pDX, IDC_LIGHTCTRL3, sStrAFull);
	DDX_Control(pDX, IDC_LIGHTCTRL4, sStrAHalf);
	DDX_Control(pDX, IDC_LIGHTCTRL5, sStrAEmpty);
	DDX_Control(pDX, IDC_LIGHTCTRL6, sStrAActive);
	DDX_Control(pDX, IDC_LIGHTCTRL7, sStrAEtoE);
	DDX_Control(pDX, IDC_LIGHTCTRL8, sStrARecord);
	DDX_Control(pDX, IDC_LIGHTCTRL9, sStrAAlarm);
	DDX_Control(pDX, IDC_LIGHTCTRL10, sStrAG704);
	DDX_Control(pDX, IDC_LIGHTCTRL11, sStrAF0);
	DDX_Control(pDX, IDC_LIGHTCTRL12, sStrAIntCk);
	DDX_Control(pDX, IDC_LIGHTCTRL13, sStrAOP);
	DDX_Control(pDX, IDC_LIGHTCTRL14, sStrAHighZ);
	DDX_Control(pDX, IDC_LIGHTCTRL15, sStrASignal);
	DDX_Control(pDX, IDC_LIGHTCTRL16, sStrAAIS);
	DDX_Control(pDX, IDC_LIGHTCTRL17, sStrAFrame);
	DDX_Control(pDX, IDC_LIGHTCTRL18, sStrBTrig);
	DDX_Control(pDX, IDC_LIGHTCTRL19, sStrBReset);	
	DDX_Control(pDX, IDC_LIGHTCTRL20, sStrBFull);
	DDX_Control(pDX, IDC_LIGHTCTRL21, sStrBHalf);
	DDX_Control(pDX, IDC_LIGHTCTRL22, sStrBEmpty);
	DDX_Control(pDX, IDC_LIGHTCTRL23, sStrBActive);
	DDX_Control(pDX, IDC_LIGHTCTRL24, sStrBEtoE);
	DDX_Control(pDX, IDC_LIGHTCTRL25, sStrBRecord);
	DDX_Control(pDX, IDC_LIGHTCTRL26, sStrBF1);
	DDX_Control(pDX, IDC_LIGHTCTRL27, sStrBG704);
	DDX_Control(pDX, IDC_LIGHTCTRL28, sStrBF0);
	DDX_Control(pDX, IDC_LIGHTCTRL29, sStrBIntCk);
	DDX_Control(pDX, IDC_LIGHTCTRL30, sStrBOP);
	DDX_Control(pDX, IDC_LIGHTCTRL31, sStrBHighZ);
	DDX_Control(pDX, IDC_LIGHTCTRL32, sStrBSignal);
	DDX_Control(pDX, IDC_LIGHTCTRL33, sStrBAIS);
	DDX_Control(pDX, IDC_LIGHTCTRL34, sStrBFrame);
	DDX_Control(pDX, IDC_LIGHTCTRL35, sStrAF1);
	DDX_Control(pDX, IDC_LIGHTCTRL36, sStrAutoFrame);
	
	/*DDX_Control(pDX, IDC_TOG1, sStrATrig);
	DDX_Control(pDX, IDC_TOG2, sStrAReset);	
	DDX_Control(pDX, IDC_TOG3, sStrAFull);
	DDX_Control(pDX, IDC_TOG4, sStrAHalf);
	DDX_Control(pDX, IDC_TOG5, sStrAEmpty);
	DDX_Control(pDX, IDC_TOG6, sStrAActive);
	DDX_Control(pDX, IDC_TOG7, sStrAEtoE);
	DDX_Control(pDX, IDC_TOG8, sStrARecord);
	DDX_Control(pDX, IDC_TOG9, sStrAAlarm);
	DDX_Control(pDX, IDC_TOG10, sStrAUnframed);
	DDX_Control(pDX, IDC_TOG11, sStrAMultiframe);
	DDX_Control(pDX, IDC_TOG12, sStrAIntCk);
	DDX_Control(pDX, IDC_TOG13, sStrAOP);
	DDX_Control(pDX, IDC_TOG14, sStrAHighZ);
	DDX_Control(pDX, IDC_TOG15, sStrASignal);
	DDX_Control(pDX, IDC_TOG16, sStrAAIS);
	DDX_Control(pDX, IDC_TOG17, sStrAFrame);
	DDX_Control(pDX, IDC_TOG18, sStrBTrig);
	DDX_Control(pDX, IDC_TOG19, sStrBReset);	
	DDX_Control(pDX, IDC_TOG20, sStrBFull);
	DDX_Control(pDX, IDC_TOG21, sStrBHalf);
	DDX_Control(pDX, IDC_TOG22, sStrBEmpty);
	DDX_Control(pDX, IDC_TOG23, sStrBActive);
	DDX_Control(pDX, IDC_TOG24, sStrBEtoE);
	DDX_Control(pDX, IDC_TOG25, sStrBRecord);
	DDX_Control(pDX, IDC_TOG26, sStrBAlarm);
	DDX_Control(pDX, IDC_TOG27, sStrBUnframed);
	DDX_Control(pDX, IDC_TOG28, sStrBMultiframe);
	DDX_Control(pDX, IDC_TOG29, sStrBIntCk);
	DDX_Control(pDX, IDC_TOG30, sStrBOP);
	DDX_Control(pDX, IDC_TOG31, sStrBHighZ);
	DDX_Control(pDX, IDC_TOG32, sStrBSignal);
	DDX_Control(pDX, IDC_TOG33, sStrBAIS);
	DDX_Control(pDX, IDC_TOG34, sStrBFrame);*/
	//DDX_Control(pDX, IDC_TOG1, ATrig);
	DDX_Control(pDX, IDC_STREAMB, test);
	
}
/*--------------------------------------------------------------------------*/

// CStatusDlg message handlers
BOOL CStatusDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	
	// Set the icon for this dialog.  The framework does this automatically
	// when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a Status
}
/*--------------------------------------------------------------------------*/

void CStatusDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
		CDialog::OnSysCommand(nID, lParam);
}
/*--------------------------------------------------------------------------*/

// If you add a minimize button to your dialog, you will need the code below
// to draw the icon.  For MFC applications using the document/view model,
// this is automatically done for you by the framework.

void CStatusDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}
/*--------------------------------------------------------------------------*/

// The system calls this function to obtain the cursor to display while the user drags
// the minimized window.
HCURSOR CStatusDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
	
}
/*--------------------------------------------------------------------------*/

