
#pragma once
#include "R2D3Amcc.h"

class CBufferThread
{
private:
	DWORD	DmaReadFifo(DWORD Length);//reads data from card in length chunks
  int GetBytesRem(short Stream);//helper function to get bytes remaining in data buffer
	int		BufferPages;
	
	short FifoBytes;
	short AmccBytes;
	void	BufferTransferA();
	void	BufferTransferB();
	bool	Terminated;
	HANDLE  TerminateEvent; //Terminate event handle
protected:
	void	Execute();
	DWORD	ReadMailBox(DWORD Address);
public:
	static UINT mtstub1(LPVOID xthis);

	CBufferThread();

	unsigned char DataBuffer1[524288];
	unsigned char DataBuffer2[524288];

	DWORD	DmaWriteFifo(DWORD Length); //writes data to card in Length chunks
	void	WriteToCard(int WriteSize, bool StreamA);
	void	Terminate();
	int		NumBytes;

	void CBufferThread::ReadFromCard(int ReadSize,bool StreamA);

	void DiskReadA(PUCHAR pBuffer2,int length);
	void DiskReadB(PUCHAR pBuffer2,int length);

	void DiskWriteA(PUCHAR pBuffer1,int length);
	void DiskWriteB(PUCHAR pBuffer1,int length);

	void CBufferThread::header_write_end1 (CFile *file);
};