// ControlDlg.cpp : implementation file
//

/*-Includes-----------------------------------------------------------*/
#include "stdafx.h"
#include "resource.h"
#include "ControlDlg.h"
#include ".\controldlg.h"
#include "R2D3Interrupt.h"
#include "r2d3DABctl.h"

/*-Defines------------------------------------------------------------*/
#ifdef _DEBUG
#define new DEBUG_NEW
#endif

/*-Functions----------------------------------------------------------*/

// CControlDlg dialog
CControlDlg::CControlDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CControlDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}
/*--------------------------------------------------------------------*/
void CControlDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_RADIO1, StrAENA);
	DDX_Control(pDX, IDC_RADIO2, StrASNA);

	DDX_Control(pDX, IDC_RADIO5,  StrAutoFrm);
	DDX_Control(pDX, IDC_RADIO7,  StrAClk1);
	DDX_Control(pDX, IDC_RADIO9,  StrAOut1);
	DDX_Control(pDX, IDC_RADIO6,  StrManFrm);
	DDX_Control(pDX, IDC_RADIO8,  StrAClk2);
	DDX_Control(pDX, IDC_RADIO10, StrAOut2);
	DDX_Control(pDX, IDC_RADIO11, StrAImp1);
	DDX_Control(pDX, IDC_RADIO12, StrAImp2);
	DDX_Control(pDX, IDC_RADIO13, StrAByp1);
	DDX_Control(pDX, IDC_RADIO14, StrAByp2);

	DDX_Control(pDX, IDC_RADIO15, StrBENA);
	DDX_Control(pDX, IDC_RADIO16, StrBSNA);
	DDX_Control(pDX, IDC_RADIO17, StrBClk1);
	DDX_Control(pDX, IDC_RADIO19, StrBOut1);
	DDX_Control(pDX, IDC_RADIO18, StrBClk2);
	DDX_Control(pDX, IDC_RADIO20, StrBOut2);
//	DDX_Control(pDX, IDC_RADIO21, StrBImp1);
//	DDX_Control(pDX, IDC_RADIO22, StrBImp2);
	DDX_Control(pDX, IDC_RADIO23, StrBByp1);
	DDX_Control(pDX, IDC_RADIO24, StrBByp2);
	DDX_Control(pDX, IDC_RADIO25, StrAENI);
	DDX_Control(pDX, IDC_RADIO26, StrASNI);
	DDX_Control(pDX, IDC_RADIO27, StrAUnf);
	DDX_Control(pDX, IDC_RADIO28, StrAG74);
	DDX_Control(pDX, IDC_RADIO29, StrBENI);
	DDX_Control(pDX, IDC_RADIO30, StrBSNI);
	DDX_Control(pDX, IDC_RADIO31, StrBUnf);
	DDX_Control(pDX, IDC_RADIO32, StrBG74);


	DDX_Control(pDX, IDC_SLIDER1, StrASliderLow);
	DDX_Control(pDX, IDC_SLIDER2, StrASliderHi);
	DDX_Control(pDX, IDC_SLIDER3, StrBSliderLow);
	DDX_Control(pDX, IDC_SLIDER4, StrBSliderHi);
}
//--------------------------------------------------------------
BEGIN_MESSAGE_MAP(CControlDlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
//	ON_BN_CLICKED(IDC_RADIO1, OnBnClickedIO)
//	ON_BN_CLICKED(IDC_RADIO2, OnBnClickedIO)
	ON_BN_CLICKED(IDC_RADIO1, &CControlDlg::OnBnClickedStrAENA)
	ON_BN_CLICKED(IDC_RADIO2, &CControlDlg::OnBnClickedStrAENA)
	ON_BN_CLICKED(IDC_RADIO5, &CControlDlg::OnBnClickedStrAFramed)
	ON_BN_CLICKED(IDC_RADIO6, &CControlDlg::OnBnClickedStrAFramed)
	ON_BN_CLICKED(IDC_RADIO7, &CControlDlg::OnBnClickedStrAIntClk)
	ON_BN_CLICKED(IDC_RADIO8, &CControlDlg::OnBnClickedStrAIntClk)
	ON_BN_CLICKED(IDC_RADIO9, &CControlDlg::OnBnClickedStrAOutput)
	ON_BN_CLICKED(IDC_RADIO10,&CControlDlg::OnBnClickedStrAOutput)
	ON_BN_CLICKED(IDC_RADIO11,&CControlDlg::OnBnClickedStrAImpMode)
	ON_BN_CLICKED(IDC_RADIO12,&CControlDlg::OnBnClickedStrAImpMode)
	ON_BN_CLICKED(IDC_RADIO13,&CControlDlg::OnBnClickedStrABypass)
	ON_BN_CLICKED(IDC_RADIO14,&CControlDlg::OnBnClickedStrABypass)
	ON_BN_CLICKED(IDC_RADIO15,&CControlDlg::OnBnClickedStrBENA)
	ON_BN_CLICKED(IDC_RADIO16,&CControlDlg::OnBnClickedStrBENA)
	ON_BN_CLICKED(IDC_RADIO17,&CControlDlg::OnBnClickedStrBIntClk)
	ON_BN_CLICKED(IDC_RADIO18,&CControlDlg::OnBnClickedStrBIntClk)
	ON_BN_CLICKED(IDC_RADIO19,&CControlDlg::OnBnClickedStrBOutput)
	ON_BN_CLICKED(IDC_RADIO20,&CControlDlg::OnBnClickedStrBOutput)
//	ON_BN_CLICKED(IDC_RADIO21,&CControlDlg::OnBnClickedStrBImpMode)
//	ON_BN_CLICKED(IDC_RADIO22,&CControlDlg::OnBnClickedStrBImpMode)
	ON_BN_CLICKED(IDC_RADIO23,&CControlDlg::OnBnClickedStrBBypass)
	ON_BN_CLICKED(IDC_RADIO24,&CControlDlg::OnBnClickedStrBBypass)
	
	ON_BN_CLICKED(IDC_RADIO25, &CControlDlg::OnBnClickedStrAENA)
	ON_BN_CLICKED(IDC_RADIO26, &CControlDlg::OnBnClickedStrAENA)
	ON_BN_CLICKED(IDC_RADIO27, &CControlDlg::OnBnClickedStrAENA)
	ON_BN_CLICKED(IDC_RADIO28, &CControlDlg::OnBnClickedStrAENA)
	ON_BN_CLICKED(IDC_RADIO29, &CControlDlg::OnBnClickedStrBENA)
	ON_BN_CLICKED(IDC_RADIO30, &CControlDlg::OnBnClickedStrBENA)
	ON_BN_CLICKED(IDC_RADIO31, &CControlDlg::OnBnClickedStrBENA)
	ON_BN_CLICKED(IDC_RADIO32, &CControlDlg::OnBnClickedStrBENA)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER1, OnNMReleasedcaptureSlider1)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER2, OnNMReleasedcaptureSlider2)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER3, OnNMReleasedcaptureSlider3)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER4, OnNMReleasedcaptureSlider4)

//ON_BN_CLICKED(IDC_RADIO1, &CControlDlg::OnBnClickedRadio1)
//ON_BN_CLICKED(IDC_RADIO2, &CControlDlg::OnBnClickedRadio2)
END_MESSAGE_MAP()

/*---------------------------------------------------*/
// CControlDlg message handlers
BOOL CControlDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	
	// Set the icon for this dialog.  The framework does this automatically
	// when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}
/*---------------------------------------------------*/

void CControlDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
CDialog::OnSysCommand(nID, lParam);
}
/*---------------------------------------------------*/
// If you add a minimize button to your dialog, you will need the code below
// to draw the icon.  For MFC applications using the document/view model,
// this is automatically done for you by the framework.

void CControlDlg::OnPaint() 
{
if (IsIconic())
	{
	CPaintDC dc(this); // device context for painting

	SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
	int cxIcon = GetSystemMetrics(SM_CXICON);
	int cyIcon = GetSystemMetrics(SM_CYICON);
	CRect rect;
	GetClientRect(&rect);
	int x = (rect.Width() - cxIcon + 1) / 2;
	int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
	dc.DrawIcon(x, y, m_hIcon);
	}
else
	{
	CDialog::OnPaint();
	}
}

/*---------------------------------------------------*/
// The system calls this function to obtain the cursor to display while the user drags
// the minimized window.
HCURSOR CControlDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

/*---------------------------------------------------*/
void CControlDlg::OnBnClickedStrAIntClk()
{
if(StrAClk1.GetCheck())
	theApp.dlg->gCommand2&=~STRA_INTCLK;
else
	theApp.dlg->gCommand2|=STRA_INTCLK;
WriteMailBox1(OMB2, theApp.dlg->gCommand2);
}
/*---------------------------------------------------*/
void CControlDlg::OnBnClickedStrAImpMode()
{
if(StrAImp1.GetCheck())
	{//card-wide setting
	theApp.dlg->gCommand2&=~STR_LOZ;		// high impedance
	theApp.bLoz1 = false;
	}
else
	{
	theApp.dlg->gCommand2|=STR_LOZ;		// low impedance
	theApp.bLoz1 = true;
	}
WriteMailBox1(OMB2, theApp.dlg->gCommand2);
}
/*---------------------------------------------------*/
void CControlDlg::OnBnClickedStrAFramed()
{
if(StrAutoFrm.GetCheck())
	theApp.dlg->gCommand2|=AUTO_FRAME;	// 
else
	theApp.dlg->gCommand2&=~AUTO_FRAME;	// 
WriteMailBox1(OMB2, theApp.dlg->gCommand2);
theApp.dlg->gCommand2&=~STRA_START&~STRB_START;   
theApp.dlg->gCommand2|=STRA_FIFO_RESET|STRB_FIFO_RESET;
WriteMailBox1(OMB2, theApp.dlg->gCommand2);
theApp.dlg->gCommand2 &=~STRA_FIFO_RESET;
theApp.dlg->gCommand2 |=STRA_START|STRB_START;
WriteMailBox1(OMB2, theApp.dlg->gCommand2);

}
/*---------------------------------------------------*/
void CControlDlg::OnBnClickedStrABypass()
{
if(StrAByp1.GetCheck())
	theApp.dlg->gCommand2|= STRA_E2E|STRA_RECORD;	// Bypass
else
	theApp.dlg->gCommand2&=~STRA_E2E&~STRA_RECORD;	// Not Bypass
WriteMailBox1(OMB2, theApp.dlg->gCommand2);
}
/*---------------------------------------------------*/
void CControlDlg::OnNMReleasedcaptureSlider1(NMHDR *pNMHDR, LRESULT *pResult)
{
int x = StrASliderLow.GetPos();
if( x > StrASliderHi.GetPos())
	StrASliderHi.SetPos(x);
theApp.dlg->gCommand4&=THRESH_A_MASK;
theApp.dlg->gCommand4|=(StrASliderLow.GetPos()|(StrASliderHi.GetPos()<<6));
WriteMailBox1(OMB4, theApp.dlg->gCommand4);

*pResult = 0;
}
/*---------------------------------------------------*/
void CControlDlg::OnBnClickedStrAOutput()
{
if(StrAOut1.GetCheck())
	theApp.dlg->gCommand2&=~STRA_OP_ZERO;// Output enabled
else
	theApp.dlg->gCommand2|=STRA_OP_ZERO;	// Output disabled
WriteMailBox1(OMB2, theApp.dlg->gCommand2);
}
/*---------------------------------------------------*/
void CControlDlg::OnNMReleasedcaptureSlider2(NMHDR *pNMHDR, LRESULT *pResult)
{
int x = StrASliderHi.GetPos();
if( x < StrASliderLow.GetPos())
	StrASliderLow.SetPos(x);
theApp.dlg->gCommand4&=THRESH_A_MASK;
theApp.dlg->gCommand4|=(StrASliderLow.GetPos()|(StrASliderHi.GetPos()<<6));
WriteMailBox1(OMB4, theApp.dlg->gCommand4);
*pResult = 0;
}
/*---------------------------------------------------*/
void CControlDlg::OnBnClickedStrBIntClk()
{
if(StrBClk1.GetCheck())
	theApp.dlg->gCommand2&=~STRB_INTCLK;	// External Clock
else
	theApp.dlg->gCommand2|=STRB_INTCLK;		// Internal Clock
WriteMailBox1(OMB2, theApp.dlg->gCommand2);
}
/*---------------------------------------------------*/
void CControlDlg::OnBnClickedStrBENA()
{
if(StrBENA.GetCheck())
	{
	theApp.dlg->gCommand2|=STRB_G704_FRAME;	//
	theApp.dlg->gCommand2&=~STRB_F0;	//
	theApp.dlg->gCommand2|=STRB_F1;	//
	}
if(StrBSNA.GetCheck())
	{
	theApp.dlg->gCommand2|=STRB_G704_FRAME;	//
	theApp.dlg->gCommand2|=STRB_F0;	//
	theApp.dlg->gCommand2|=STRB_F1;	//
	}
if(StrBENI.GetCheck())
	{
	theApp.dlg->gCommand2&=~STRB_G704_FRAME;	//
	theApp.dlg->gCommand2&=~STRB_F0;	//
	theApp.dlg->gCommand2|=STRB_F1;	//
	}
if(StrBSNI.GetCheck())
	{
	theApp.dlg->gCommand2&=~STRB_G704_FRAME;	//
	theApp.dlg->gCommand2|=STRB_F0;	//
	theApp.dlg->gCommand2|=STRB_F1;	//
	}
if(StrBUnf.GetCheck())
	{
	theApp.dlg->gCommand2&=~STRB_G704_FRAME;	//
	theApp.dlg->gCommand2&=~STRB_F0;	//
	theApp.dlg->gCommand2&=~STRB_F1;	//
	}
if(StrBG74.GetCheck())
	{
	theApp.dlg->gCommand2|=STRB_G704_FRAME;	//
	theApp.dlg->gCommand2&=~STRB_F0;	//
	theApp.dlg->gCommand2&=~STRB_F1;	//
	}
WriteMailBox1(OMB2, theApp.dlg->gCommand2);
theApp.dlg->gCommand2&=~STRB_START;//
theApp.dlg->gCommand2|=STRB_FIFO_RESET;//
WriteMailBox1(OMB2, theApp.dlg->gCommand2);
theApp.dlg->gCommand2 &=~STRB_FIFO_RESET;
WriteMailBox1(OMB2, theApp.dlg->gCommand2);
	
}
/*---------------------------------------------------*/
void CControlDlg::OnBnClickedStrBOutput()
{
if(StrBOut1.GetCheck())
	theApp.dlg->gCommand2&=~STRB_OP_ZERO;// Output Enabled
else
	theApp.dlg->gCommand2|=STRB_OP_ZERO;	// Output Disabled
WriteMailBox1(OMB2, theApp.dlg->gCommand2);
}
/*---------------------------------------------------*/
void CControlDlg::OnBnClickedStrBBypass()
{
if(StrBByp1.GetCheck())
	theApp.dlg->gCommand2|= STRB_E2E|STRB_RECORD;	// Bypass
else
	theApp.dlg->gCommand2&=~STRB_E2E&~STRB_RECORD;	// Not Bypass
WriteMailBox1(OMB2, theApp.dlg->gCommand2);
}
/*---------------------------------------------------*/
void CControlDlg::OnNMReleasedcaptureSlider3(NMHDR *pNMHDR, LRESULT *pResult)
{
int x = StrBSliderLow.GetPos();
if( x > StrBSliderHi.GetPos())
	StrBSliderHi.SetPos(x);
theApp.dlg->gCommand4&=THRESH_A_MASK;
theApp.dlg->gCommand4|=(StrBSliderLow.GetPos()|(StrBSliderHi.GetPos()<<6));
WriteMailBox1(OMB4, theApp.dlg->gCommand4);
*pResult = 0;
}
/*---------------------------------------------------*/
void CControlDlg::OnNMReleasedcaptureSlider4(NMHDR *pNMHDR, LRESULT *pResult)
{
int x = StrBSliderHi.GetPos();
if( x < StrBSliderLow.GetPos())
	StrBSliderLow.SetPos(x);
theApp.dlg->gCommand4&=THRESH_A_MASK;
theApp.dlg->gCommand4|=(StrBSliderLow.GetPos()|(StrBSliderHi.GetPos()<<6));
WriteMailBox1(OMB4, theApp.dlg->gCommand4);
*pResult = 0;
}
/*---------------------------------------------------*/
void CControlDlg::OnBnClickedStrAENA()
{
if(StrAENA.GetCheck())
	{// G.704 NA  G.704=1,F0=0,F1=1
	theApp.dlg->gCommand2|=STRA_G704_FRAME;	//
	theApp.dlg->gCommand2&=~STRA_F0;	//
	theApp.dlg->gCommand2|=STRA_F1;	//
	}
if(StrASNA.GetCheck())
	{//STI  NA  G.704=1,F0=1,F1=1
	theApp.dlg->gCommand2|=STRA_G704_FRAME;	//
	theApp.dlg->gCommand2|=STRA_F0;	//
	theApp.dlg->gCommand2|=STRA_F1;	//
	}
if(StrAENI.GetCheck())
	{//ETI NI  G.704=0,F0=0,F1=1
	theApp.dlg->gCommand2&=~STRA_G704_FRAME;	//
	theApp.dlg->gCommand2&=~STRA_F0;	//
	theApp.dlg->gCommand2|=STRA_F1;	//
	}
if(StrASNI.GetCheck())
	{//STI  NI  G.704=0, F0=1,F1=1
	theApp.dlg->gCommand2&=~STRA_G704_FRAME;	//
	theApp.dlg->gCommand2|=STRA_F0;	//
	theApp.dlg->gCommand2|=STRA_F1;	//
	}
if(StrAUnf.GetCheck())
	{//unframed, G.704=0, F0=0,F1=0
	theApp.dlg->gCommand2&=~STRA_G704_FRAME;	//
	theApp.dlg->gCommand2&=~STRA_F0;	//
	theApp.dlg->gCommand2&=~STRA_F1;	//
	}
if(StrAG74.GetCheck())
	{//G.704, G.704=1, F0=0,F1=0
	theApp.dlg->gCommand2|=STRA_G704_FRAME;	//
	theApp.dlg->gCommand2&=~STRA_F0;	//
	theApp.dlg->gCommand2&=~STRA_F1;	//
	}
WriteMailBox1(OMB2, theApp.dlg->gCommand2);	
theApp.dlg->gCommand2&=~STRA_START;//&~STRB_START;   //enable for 2 stream operation
theApp.dlg->gCommand2|=STRA_FIFO_RESET;//|STRB_FIFO_RESET;
WriteMailBox1(OMB2, theApp.dlg->gCommand2);
theApp.dlg->gCommand2 &=~STRA_FIFO_RESET;
theApp.dlg->gCommand2 |=STRA_START;//|STRB_START;
WriteMailBox1(OMB2, theApp.dlg->gCommand2);

}
//----------------------------------------------------
