// StatusDlg.h : header file
//

#pragma once
#include "afxwin.h"
#include "lightctrl1.h"


// CR2D3CommandDlg dialog
class CStatusDlg : public CDialog
{
// Construction
public:
	CStatusDlg(CWnd* pParent);	// standard constructor

// Dialog Data
	enum { IDD = IDD_STATUS };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

private:

public:
	CStatic sImpMod;
	CStatic sFrameTypeA;
	CStatic sFrameTypeB;
	CLightctrl1 sIO;

	CLightctrl1 sStrATrig;
	CLightctrl1 sStrAReset;
	CStatic sStrARem;
	CLightctrl1 sStrAFull;
	CLightctrl1 sStrAHalf;
	CLightctrl1 sStrAEmpty;
	CLightctrl1 sStrAActive;
	CLightctrl1 sStrAEtoE;
	CLightctrl1 sStrARecord;
	CLightctrl1 sStrAAlarm;
	CLightctrl1 sStrAG704;
	CLightctrl1 sStrAF0;
	CLightctrl1 sStrAF1;
	CLightctrl1 sStrAIntCk;
	CLightctrl1 sStrAOP;
	CLightctrl1 sStrAHighZ;
	CLightctrl1 sStrASignal;
	CLightctrl1 sStrAAIS;
	CLightctrl1 sStrAFrame;
	CLightctrl1 sStrAutoFrame;

	CLightctrl1 sStrBTrig;
	CLightctrl1 sStrBReset;
	CStatic sStrBRem;
	CLightctrl1 sStrBFull;
	CLightctrl1 sStrBHalf;
	CLightctrl1 sStrBEmpty;
	CLightctrl1 sStrBActive;
	CLightctrl1 sStrBEtoE;
	CLightctrl1 sStrBRecord;
	CLightctrl1 sStrBF1;
	CLightctrl1 sStrBG704;
	CLightctrl1 sStrBF0;
	CLightctrl1 sStrBIntCk;
	CLightctrl1 sStrBOP;
	//CLightctrl1 sStrBHighZ;
	CLightctrl1 sStrBSignal;
	CLightctrl1 sStrBAIS;
	CLightctrl1 sStrBFrame;
	//CStatic ATrig;
	CStatic test;
};
