// R2D3Command.cpp : Defines the class behaviors for the application.
//

/*-Includes-----------------------------------------------------------------*/
#include "stdafx.h"
#include "R2D3Command.h"
#include "R2D3CommandDlg.h"
#include ".\r2d3command.h"
#include "r2d3DABctl.h"
#include "StatusThread.h"

/*-Defines------------------------------------------------------------------*/
#ifdef _DEBUG
#define new DEBUG_NEW
#endif

/*-Globals------------------------------------------------------------------*/
CR2D3CommandApp theApp; // The one and only CR2D3CommandApp object
extern DWORD gStatusRegister[];
/*--------------------------------------------------------------------------*/
// CR2D3CommandApp
BEGIN_MESSAGE_MAP(CR2D3CommandApp, CWinApp)
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
	ON_COMMAND(ID_CONTROL, OnControl)
	ON_COMMAND(ID_STATUS, OnStatus)
	ON_COMMAND(ID_ABOUT, OnAbout)
END_MESSAGE_MAP()


/*-Methods------------------------------------------------------------------*/

// CR2D3CommandApp construction
CR2D3CommandApp::CR2D3CommandApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}
/*--------------------------------------------------------------------------*/

// CR2D3CommandApp initialization
BOOL CR2D3CommandApp::InitInstance()
{
	// InitCommonControls() is required on Windows XP if an application
	// manifest specifies use of ComCtl32.dll version 6 or later to enable
	// visual styles.  Otherwise, any window creation will fail.
	InitCommonControls();

	CWinApp::InitInstance();

	AfxEnableControlContainer();

	// Standard initialization
	// If you are not using these features and wish to reduce the size
	// of your final executable, you should remove from the following
	// the specific initialization routines you do not need
	// Change the registry key under which our settings are stored
	// TODO: You should modify this string to be something appropriate
	// such as the name of your company or organization
	SetRegistryKey(_T("Local AppWizard-Generated Applications"));

	dlg = new CR2D3CommandDlg;
	m_pMainWnd = dlg;
	dlg->Create(IDD_R2D3COMMAND_DIALOG, 0);
	dlg->ShowWindow(SW_SHOW);
	
	ctrlDlg = new CControlDlg(NULL);	//} Create the control dialog
	ctrlDlg->Create(IDD_CONTROLS, 0);	//}

	statDlg = new CStatusDlg(NULL);		//} Create the status dialog
	statDlg->Create(IDD_STATUS, 0);		//}

	AboutDlg = new CSDAboutDlg(NULL);
	AboutDlg->Create(IDD_ABOUT, 0);

	return TRUE;
}
/*--------------------------------------------------------------------------*/

void CR2D3CommandApp::OnControl()
{
	ctrlDlg->ShowWindow(SW_SHOW);
}
/*--------------------------------------------------------------------------*/

void CR2D3CommandApp::OnStatus()
{
	statDlg->ShowWindow(SW_SHOW);
}
/*--------------------------------------------------------------------------*/
void CR2D3CommandApp::OnAbout()
{
int CardType=0;
unsigned int CardSerNum=0;
CString buffer;
//CardSerNum=(gStatusRegister[9]& SER_NUM_UPR_MASK)<<28;
CardSerNum|=gStatusRegister[8] & SER_NUM_LWR_MASK;
buffer.Format(_T("%d.%d"), CardType, CardSerNum);
AboutDlg->CardNo.SetWindowText(buffer);
AboutDlg->ShowWindow(SW_SHOW);
}
