// R2D3Command.h : main header file for the PROJECT_NAME application
//

#pragma once

#include "resource.h"
#include "R2D3CommandDlg.h"
#include "ControlDlg.h"
#include "StatusDlg.h"
#include "AboutDlg.h"
#include "StatusThread.h"


#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols


// CR2D3CommandApp:
// See R2D3Command.cpp for the implementation of this class
//

class CR2D3CommandApp : public CWinApp
{
public:
	CR2D3CommandApp();

// Overrides
	public:
	virtual BOOL InitInstance();

	CR2D3CommandDlg *dlg; //Main Dialog box

	CControlDlg *ctrlDlg; //Control Dialog box
	CStatusDlg  *statDlg; //Status Dialog box
	CSDAboutDlg   *AboutDlg;



// Implementation

	DECLARE_MESSAGE_MAP()
	afx_msg void OnControl();
	afx_msg void OnClose();
	afx_msg void OnStatus();
	
public:	
//	DWORD   gCommand1,gCommand2,gCommand3,gCommand4;
	bool bFrame1, bClock1,bIsol1,bLoz1;
	bool bFrame2, bClock2,bIsol2,bLoz2;
	bool DriverOpen;
	afx_msg void OnAbout();
};

extern CR2D3CommandApp theApp;