#pragma once

#include "R2D3Amcc.h"

class CStatusThread
{
private:
	static UINT mtstub1(LPVOID xthis);
	bool isTerminated;
	bool tick;
	void	UpdateStatReg0A(VOID );
  void	UpdateStatReg5A(VOID );
  void	UpdateStatReg10A(VOID );
  void	UpdateStatReg0B(VOID ); 
  void	UpdateStatReg5B(VOID );
  void	UpdateStatReg10B(VOID );

protected:
	void	Execute();
	void	UpdateDisplayA();
	void	UpdateDisplayB();

	DWORD	DumpAmccRegister();
	DWORD	ReadStatus(int status);
    DWORD	GetAmccRegisters(PAMCC_REGISTERS pAmccRegisters);
    void	PrintAmccAndStatusRegisters(PAMCC_REGISTERS pAmccRegisters);
    //void	PrintStatusRegisters(void);

public:
			CStatusThread();
	void	Terminate();
};


