
#pragma once
#include "R2D3Amcc.h"

class CBufferThread
{
private:
	DWORD	DmaReadFifo(DWORD Length);//reads data from card in length chunks
	int		BufferPages;
	void	BufferTransferA();
	void	BufferTransferB();
	bool	Terminated;
	HANDLE  TerminateEvent; //Terminate event handle

protected:
	void	Execute();
	DWORD	ReadMailBox(DWORD Address);
public:
	static UINT mtstub1(LPVOID xthis);

	CBufferThread();

	unsigned char DataBuffer1[524288];
	unsigned char DataBuffer2[524288];

	DWORD	DmaWriteFifo(DWORD Length); //writes data to card in Length chunks
	void	WriteToCard(int WriteSize, bool StreamA);
	void	Terminate();
	int		NumBytes;

	void CBufferThread::DiskReadA(PUCHAR pBuffer2,int length);
	void CBufferThread::DiskReadB(PUCHAR pBuffer2,int length);
};