// R2D3Replay.h : main header file for the PROJECT_NAME application
//

#pragma once

#include "resource.h"
#include "R2D3ReplayDlg.h"
#include "ControlDlg.h"
#include "StatusDlg.h"
#include "AboutDlg.h"
#include "StatusThread.h"


#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols


// CR2D3ReplayApp:
// See R2D3Replay.cpp for the implementation of this class
//

class CR2D3ReplayApp : public CWinApp
{
public:
	CR2D3ReplayApp();

// Overrides
	public:
	virtual BOOL InitInstance();

	CR2D3ReplayDlg *dlg; //Main Dialog box

	CControlDlg *ctrlDlg; //Control Dialog box
	CStatusDlg  *statDlg; //Status Dialog box
	CSDAboutDlg   *AboutDlg;



// Implementation

	DECLARE_MESSAGE_MAP()
	afx_msg void OnControl();
	afx_msg void OnClose();
	afx_msg void OnStatus();
	
public:	
//	DWORD   gCommand1,gCommand2,gCommand3,gCommand4;
	bool bFrame1, bClock1,bIsol1,bLoz1;
	bool bFrame2, bClock2,bIsol2,bLoz2;
	bool DriverOpen;

	// File Stuff
	HANDLE hf_strA, hf_strB, hf_strAstart, hf_strBstart;
	//CString PlayFileNameA;
	//String PlayFileNameB;
	//TFileStream *PlayFileStreamA;
	//TFileStream *PlayFileStreamB;
	bool StreamAEnabled;
	bool StreamBEnabled;
	int PlayFileSizeA;
	int PlayFileSizeB;

	afx_msg void OnAbout();
	afx_msg void OnRead();
	afx_msg void OnStra();
	afx_msg void OnStrb();
};

extern CR2D3ReplayApp theApp;